/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2008. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_GRAPH                     2
#define  PANEL_Quit                      3       /* callback function: QuitButton */
#define  PANEL_SIGGENFREQ                4       /* callback function: SetSigGenFreq */
#define  PANEL_HORIZONTAL                5       /* callback function: SetHorizontal */
#define  PANEL_B_VERTICAL                6       /* callback function: SetB_Vertical */
#define  PANEL_SIGGENVOLTS               7       /* callback function: Set_SigGen_Volts */
#define  PANEL_TRIGGER                   8       /* callback function: Set_Trigger_Volts */
#define  PANEL_A_VERTICAL                9       /* callback function: SetA_Vertical */
#define  PANEL_VIEWDATA                  10      /* callback function: ViewDataPoints */
#define  PANEL_SAVE                      11      /* callback function: SaveToDisk */
#define  PANEL_VB_READOUT                12
#define  PANEL_SIGGENVREADOUT            13
#define  PANEL_SIGGENFREADOUT            14
#define  PANEL_TRIGGERREADOUT            15
#define  PANEL_HREADOUT                  16
#define  PANEL_VA_READOUT                17
#define  PANEL_CHANNEL                   18      /* callback function: SetChannel */
#define  PANEL_DECORATION                19
#define  PANEL_DECORATION_2              20
#define  PANEL_FreqLabel                 21
#define  PANEL_label1                    22
#define  PANEL_VOLTSDIVISION             23
#define  PANEL_SECONDSDIVISION           24
#define  PANEL_TIMER                     25      /* callback function: UpdateCallback */
#define  PANEL_DECORATION_3              26
#define  PANEL_SigGenVoltsLabel          27
#define  PANEL_DECORATION_4              28
#define  PANEL_VOLTSDIVISION_2           29
#define  PANEL_DECORATION_5              30
#define  PANEL_TrigVolts                 31
#define  PANEL_TrigChan                  32
#define  PANEL_DECORATION_6              33
#define  PANEL_TRIGGERED                 34      /* callback function: TriggeredAcquire */
#define  PANEL_SINGLE                    35      /* callback function: SingleAcquire */
#define  PANEL_TRIGGER_LED               36
#define  PANEL_text1                     37
#define  PANEL_TrigChan_2                38
#define  PANEL_TrigChan_3                39
#define  PANEL_TrigChan_4                40
#define  PANEL_TrigChan_5                41
#define  PANEL_TrigChan_6                42
#define  PANEL_TrigChan_7                43
#define  PANEL_TrigChan_8                44


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK QuitButton(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SaveToDisk(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_SigGen_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK Set_Trigger_Volts(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetA_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetB_Vertical(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetChannel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetHorizontal(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SetSigGenFreq(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK SingleAcquire(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TriggeredAcquire(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK UpdateCallback(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK ViewDataPoints(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
