#define	max_samples 16384
#define	t_divisions	10
#define	v_divisions	8
//Trigger actions:
#define	acq_single	0
#define	acq_auto	1
#define	acq_stop	3

/* = Sample Oscilloscope Include File ===================================== */
int	call_cscope_control_driver(unsigned short command);
int scope_init (void);
int scope_close (void);
int scope_config (void); 
int	scope_acquire (void);
int scope_read_waveform (float a_waveform[max_samples], float b_waveform[max_samples], int *num_samples,  double *delta_t, double *t_zero); 
int check_for_samples(void);
void update_values(double a_div, double b_div, double t_div, int number_of_points, 
					double freq, double sigvolts, double trigvolts, int trig_chan, unsigned short trigger_action);
